Skip to main content
POST
/
v2
/
giftcards
/
gdpr
/
export
Exportgiftcardcustomerdata
curl --request POST \
  --url https://api.loyalty.dog/v2/giftcards/gdpr/export \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "format": "<string>",
  "customerId": "<string>",
  "customerEmail": "[email protected]"
}
'
{
  "exportId": "<string>",
  "downloadUrl": "<string>",
  "format": "<string>",
  "requestedAt": "2023-11-07T05:31:56Z",
  "expiresAt": "2023-11-07T05:31:56Z",
  "status": "<string>"
}

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /v2/token.

Headers

X-Eposn-Customer-Token
string | null
X-Eposn-Merchant-Token
string | null

Query Parameters

programId
string | null
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

cardId
string | null
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Body

application/json
format
string
required
Pattern: ^(json|csv)$
customerId
string | null
customerEmail
string<email> | null

Response

Successful Response

exportId
string
required
downloadUrl
string
required
format
string
required
requestedAt
string<date-time>
required
expiresAt
string<date-time>
required
status
string
required